From: Evangelos Ribeiro Tzaras <devrtz@fortysixandtwo.eu>
Date: Tue, 20 Sep 2022 13:27:47 +0200
Subject: application: Don't return value in start_proper()

It never returned FALSE, so change function prototype accordingly.
---
 src/calls-application.c | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

diff --git a/src/calls-application.c b/src/calls-application.c
index 8ce0ec3..bde75be 100644
--- a/src/calls-application.c
+++ b/src/calls-application.c
@@ -74,7 +74,7 @@ struct _CallsApplication {
 G_DEFINE_TYPE (CallsApplication, calls_application, GTK_TYPE_APPLICATION);
 
 
-static gboolean start_proper (CallsApplication *self);
+static void start_proper (CallsApplication *self);
 
 
 static gboolean
@@ -534,13 +534,13 @@ notify_window_visible_cb (GtkWidget        *window,
 }
 
 
-static gboolean
+static void
 start_proper (CallsApplication *self)
 {
   GtkApplication *gtk_app;
 
   if (self->main_window) {
-    return TRUE;
+    return;
   }
 
   gtk_app = GTK_APPLICATION (self);
@@ -566,10 +566,9 @@ start_proper (CallsApplication *self)
                     "notify::visible",
                     G_CALLBACK (notify_window_visible_cb),
                     self);
-
-  return TRUE;
 }
 
+
 static void
 activate (GApplication *application)
 {
@@ -581,10 +580,7 @@ activate (GApplication *application)
   if (self->main_window) {
     present = TRUE;
   } else {
-    gboolean ok = start_proper (self);
-    if (!ok)
-      return;
-
+    start_proper (self);
     present = !self->daemon;
   }
 
@@ -604,6 +600,7 @@ activate (GApplication *application)
   g_clear_pointer (&self->uri, g_free);
 }
 
+
 static void
 app_open (GApplication *application,
           GFile       **files,
